GET
/v1/listings/ebay-queueGET /v1/listings/ebay-queue
Scopes: listings:ebay_queue:read
Requires scope: listings:ebay_queue:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer<int32> | no | |
page_size | query | integer<int32> | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
items | EbayQueueItem[] | no | |
totalCount | integer<int32> | no | |
pageNumber | integer<int32> | no | |
pageSize | integer<int32> | no | |
hasMore | boolean | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/listings/ebay-queue', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);